DPDK patches and discussions
 help / color / mirror / Atom feed
From: David Marchand <david.marchand@redhat.com>
To: dev@dpdk.org
Cc: thomas@monjalon.net
Subject: [dpdk-dev] [PATCH 2/2] devtools: check Windows export files
Date: Fri, 16 Oct 2020 11:38:06 +0200	[thread overview]
Message-ID: <20201016093806.20061-2-david.marchand@redhat.com> (raw)
In-Reply-To: <20201016093806.20061-1-david.marchand@redhat.com>

Updating export files (supposed to disappear at some point, but still
there) might be missed when removing symbols in the API / map files.
Add a check for this case.

Signed-off-by: David Marchand <david.marchand@redhat.com>
---
 devtools/check-symbol-maps.sh | 24 +++++++++++++++++++++++-
 1 file changed, 23 insertions(+), 1 deletion(-)

diff --git a/devtools/check-symbol-maps.sh b/devtools/check-symbol-maps.sh
index 7fdfaa11c4..4a77fde12b 100755
--- a/devtools/check-symbol-maps.sh
+++ b/devtools/check-symbol-maps.sh
@@ -7,6 +7,8 @@ cd $(dirname $0)/..
 # speed up by ignoring Unicode details
 export LC_ALL=C
 
+ret=0
+
 find_orphan_symbols ()
 {
     for map in $(find lib drivers -name '*.map') ; do
@@ -30,5 +32,25 @@ orphan_symbols=$(find_orphan_symbols)
 if [ -n "$orphan_symbols" ] ; then
     echo "Found only in symbol map file:"
     echo "$orphan_symbols" | sed 's,^,\t,'
-    exit 1
+    ret=1
+fi
+
+validate_windows_exports ()
+{
+    for map in $(find lib drivers -name '*.map') ; do
+        def=${map/_version.map}_exports.def
+        [ -e $def ] || continue
+        for sym in $(grep -v ^EXPORTS $def); do
+            grep -q $sym $map || echo $sym
+        done
+    done
+}
+
+unknown_windows_symbols=$(validate_windows_exports)
+if [ -n "$unknown_windows_symbols" ] ; then
+    echo "Found only in Windows export file:"
+    echo "$unknown_windows_symbols" | sed 's,^,\t,'
+    ret=1
 fi
+
+exit $ret
-- 
2.23.0


  reply	other threads:[~2020-10-16  9:39 UTC|newest]

Thread overview: 14+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-10-16  9:38 [dpdk-dev] [PATCH 1/2] eal/windows: fix symbol export David Marchand
2020-10-16  9:38 ` David Marchand [this message]
2020-10-16 10:04   ` [dpdk-dev] [PATCH 2/2] devtools: check Windows export files David Marchand
2020-10-16 10:17 ` [dpdk-dev] [PATCH 1/2] eal/windows: fix symbol export Thomas Monjalon
2020-10-16 10:27 ` [dpdk-dev] [PATCH v2 " David Marchand
2020-10-16 10:27   ` [dpdk-dev] [PATCH v2 2/2] devtools: check Windows export files David Marchand
2020-10-16 11:56     ` Thomas Monjalon
2020-10-16 12:00       ` David Marchand
2020-10-16 11:16   ` [dpdk-dev] [PATCH v2 1/2] eal/windows: fix symbol export Kinsella, Ray
2020-10-16 11:22     ` David Marchand
2020-10-16 11:23       ` Kinsella, Ray
2020-10-16 15:48       ` Kinsella, Ray
2020-10-16 15:52         ` Bruce Richardson
2020-10-16 16:02         ` Thomas Monjalon

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20201016093806.20061-2-david.marchand@redhat.com \
    --to=david.marchand@redhat.com \
    --cc=dev@dpdk.org \
    --cc=thomas@monjalon.net \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).